org.gradle.api.tasks.compile

## Interface CompilerArgumentProvider

- All Superinterfaces:
    CommandLineArgumentProvider

  Deprecated.
  Use `CommandLineArgumentProvider` directly.

      @Incubating
       @Deprecated
      public interface CompilerArgumentProvider
      extends CommandLineArgumentProvider

  Provides command-line arguments to the compiler.
  Since:
    4.5

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.process.CommandLineArgumentProvider

      `asArguments`